<meta charset="utf-8">
<link href="../../css/templatemo_style.css" rel="stylesheet" type="text/css" />
<?php
require_once('../../mysqli_connect.php');
session_start();
if (isset($_GET['s'])) {
    $s = $_GET['s'];
    $_SESSION['GROUPOFUSE'] = $s;
}


if ($_SESSION['GROUPOFUSE'] == 1) {
    $pagetitle = "1oυ Γραφείου!!!";
    include('../../divs/header.php');
} else {
    require_once('../../login/login_functions.inc.php');
    $url = absolute_url('../../login/login.php');
    header("Location: $url");
    exit();
}
?>


<!--  MENU  -->

<div id="templatemo_menu_wrapper">

    <?php
    if (isset($_GET['s'])) {
        echo'
    <div id="templatemo_menu">
        <ul>
            <li><a href="1oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a>
</a>
             <ul><li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
             </ul>            
</li>
            <li><a><span></span>Πρωτοκόλληση</a>
<ul>
<li><a href="eiserhomena.php" target="_parent" ><span></span>Δείτε τα εισερχόμενα</a></li>
 <li><a href="exerhomena.php" target="_parent"><span></span>Δείτε τα εξερχόμενα</a></li>
 <li><a href="preis.php" target="_parent"><span></span>Πρωτοκολληση νέου εισερχομένου εγγράφου</a></li>
  <li><a href="prex.php" target="_parent"><span></span>Πρωτοκολληση νέου εξερχομένου εγγράφου</a></li>
                </ul>              
</li>
            <li><a><span></span>Προσωπικό</a>
 <ul>
<li><a href="atomeg.php" target="_parent" ><span></span>Ατομικά Έγγραφα Στελεχών</a></li>
 <li><a href="editatom.php" target="_parent"><span></span>Επεξεργασία Ατομικών Εγγράφων</a></li>
 <li><a href="addatom.php" target="_parent"><span></span>Δημιουργία νέων ατομικών Εγγράφων</a></li>
                </ul>                              
</li>
            <li><a><span></span>Παραγωγή Εγγράφων</a>
 <ul>
 <li><a href="fporeias.php" target="_parent" ><span></span>Έκδοση Φύλλου Πορείας</a></li>
 <li><a href="fadeias.php" target="_parent"><span></span>Έκδοση Φύλλου Αδείας</a></li>
 <li><a href="apolyt.php" target="_parent"><span></span>Έκδοση Απολυτηρίου</a></li>
                </ul>                              
</li>
 <li><a href="../dkths/dkths.php?s=6"><span></span>Επιστροφή στη Σελίδα Διοικητή </a></li>
            <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    } else {
        echo'
    <div id="templatemo_menu">
        <ul>
            <li><a href="1oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a>
</a>
             <ul><li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
             </ul>            
</li>
            <li><a><span></span>Πρωτοκόλληση</a>
<ul>
<li><a href="eiserhomena.php" target="_parent" ><span></span>Δείτε τα εισερχόμενα</a></li>
 <li><a href="exerhomena.php" target="_parent"><span></span>Δείτε τα εξερχόμενα</a></li>
 <li><a href="preis.php" target="_parent"><span></span>Πρωτοκολληση νέου εισερχομένου εγγράφου</a></li>
  <li><a href="prex.php" target="_parent"><span></span>Πρωτοκολληση νέου εξερχομένου εγγράφου</a></li>
                </ul>              
</li>
            <li><a><span></span>Προσωπικό</a>
 <ul>
<li><a href="atomeg.php" target="_parent" ><span></span>Ατομικά Έγγραφα Στελεχών</a></li>
 <li><a href="editatom.php" target="_parent"><span></span>Επεξεργασία Ατομικών Εγγράφων</a></li>
 <li><a href="addatom.php" target="_parent"><span></span>Δημιουργία νέων ατομικών Εγγράφων</a></li>
                </ul>                              
</li>
            <li><a><span></span>Παραγωγή Εγγράφων</a>
 <ul>
 <li><a href="fporeias.php" target="_parent" ><span></span>Έκδοση Φύλλου Πορείας</a></li>
 <li><a href="fadeias.php" target="_parent"><span></span>Έκδοση Φύλλου Αδείας</a></li>
 <li><a href="apolyt.php" target="_parent"><span></span>Έκδοση Απολυτηρίου</a></li>
                </ul>                              
</li>
             <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    }
    ?>


</div> <!-- end of templatemo_menu -->

<div id="templatemo_main"> <span class="tm_bottom"></span>
    <style>
        #templatemo_main p{
            text-align:center;
        }
        #templatemo_main h1{
            text-align:center;
            color:#FC0;
        }
        #templatemo_main h2{
            text-align:center;
            color:#990;
        }

        #templatemo_main tr{
            font-weight:500;
            color:#000000;
        }
    </style>


    <form action="addatom.php" method="post"> 
        <?php
        if (isset($_POST['submitted'])) {

            $errors = array();


            if (empty($_POST['id'])) {
                $errors[] = 'Δεν εισάγατε AM στελέχους';
            } else {
                $id = mysqli_real_escape_string($dbc, trim($_POST['id']));
            }

            if (empty($_POST['name'])) {
                $errors[] = 'Δεν εισάγατε όνομα στελέχους';
            } else {
                $name = mysqli_real_escape_string($dbc, trim($_POST['name']));
            }

            if (empty($_POST['mname'])) {
                $errors[] = 'Δεν εισάγατε  μεσαίο όνομα στελέχους';
            } else {
                $mname = mysqli_real_escape_string($dbc, trim($_POST['mname']));
            }

            if (empty($_POST['surname'])) {
                $errors[] = 'Δεν εισάγατε επίθετο στελέχους';
            } else {
                $surname = mysqli_real_escape_string($dbc, trim($_POST['surname']));
            }
            if (empty($_POST['rank'])) {
                $errors[] = 'Δεν επιλέξατε βαθμό στελέχους';
            } else {
                $rank = mysqli_real_escape_string($dbc, trim($_POST['rank']));
                $q = "Select rankid from ranks where rankname='$rank'";
                $r = @mysqli_query($dbc, $q);
                list($rid) = mysqli_fetch_row($r);
            }
            if (empty($_POST['oplo'])) {
                $errors[] = 'Δεν επιλέξατε οπλο στελέχους';
            } else {
                $oplo = mysqli_real_escape_string($dbc, trim($_POST['oplo']));
                $q = "Select oploid from oplo where oploname='$oplo'";
                $r = @mysqli_query($dbc, $q);
                list($opid) = mysqli_fetch_row($r);
            }

            if (empty($_POST['address'])) {
                $errors[] = 'Δεν εισάγατε δνση στελέχους';
            } else {
                $address = mysqli_real_escape_string($dbc, trim($_POST['address']));
            }
            if (empty($_POST['tel'])) {
                $errors[] = 'Δεν εισάγατε τηλέφωνο στελέχους';
            } else {
                $tel = mysqli_real_escape_string($dbc, trim($_POST['tel']));
            }
            if (empty($_POST['kathik'])) {
                $errors[] = 'Δεν επιλέξατε καθήκοντα στελέχους';
            } else {
                $kath = mysqli_real_escape_string($dbc, trim($_POST['kathik']));
                $q = "Select kathikid from kathikonta where kathikname='$kath'";
                $r = @mysqli_query($dbc, $q);
                list($kid) = mysqli_fetch_row($r);
            }
            
            if (empty($errors)) {

                $q1 = " Insert into stelexi values ($id,'$name','$surname','$mname',$rid,'$address','$tel',$opid,$kid) ";
                $r1 = @mysqli_query($dbc, $q1);
            
                if ($r1) {

                    echo '<p><h1>Η μεταβολή καταχωρήθηκε επιτυχώς</h1></p></br>
                              <p><a href=editatom.php><h2>Μετάβαση στην Επεξεργασία Ατομικών Εγγράφων για Προσθήκη Ποινών, Αδειών ,Προαγωγών και Λοιπών Μεταβολών </h2></α>';
                } else { // If it did not run OK.
                    echo '<p class="error">Πρόβλημα του συστήματος .Προσπαθείστε ξανά</p>'; // Public message.
                    //               echo '<p>' . mysqli_error($dbc) . '<br />Query: ' . $q . '</p>'; // Debugging message.
                }
            } else {

                echo '<p class="error">Συνέβησαν τα ακόλουθα λάθη <br />';
                foreach ($errors as $msg) { // Print each error.
                    echo " - $msg<br />\n";
                }
                echo '</p><p>Προσπαθείστε ξανά.</p>';
            }
        }
        ?>
        <h1>Ατομικά Στοιχεία </h1>
        <p>Όνομα:<input name = "name" ></input>
            Επίθετο:<input name = "surname"></input>
            AM :<input name = "id"></input>
            Μ.Όνομα: <input name = "mname" ></input> </br>
            <?php
            $q1 = "select rankname from ranks ";
            $r1 = @mysqli_query($dbc, $q1);

            echo'       Βαθμός:<select name="rank" >';
            while ($row = mysqli_fetch_array($r1, MYSQLI_ASSOC)) {
                echo '<option>' . $row['rankname'] . ' </option>';
            }


            echo'        </select>';
            ?></p></br>
        <p>Διεύθυνση:<input name="address"></input>
            Τηλέφωνο:<input name="tel"></input>
            <?php
            $q1 = "select kathikname from kathikonta ";
            $r1 = @mysqli_query($dbc, $q1);

            echo'       Καθήκοντα:<select name="kathik" >';
            while ($row = mysqli_fetch_array($r1, MYSQLI_ASSOC)) {
                echo '<option value=' . $row['kathikname'] . ' >' . $row['kathikname'] . ' </option>';
            }


            echo'    
				       </select>';
            $q1 = "select oploname from oplo ";
            $r1 = @mysqli_query($dbc, $q1);
            echo'      Όπλο:<select name="oplo" >';
            while ($row = mysqli_fetch_array($r1, MYSQLI_ASSOC)) {
                echo '<option value=' . $row['oploname'] . ' >' . $row['oploname'] . ' </option>';
            }


            echo'    
				       </select>                   </p></br>';
           ?>
        <p><input type="submit" name="submit" value="Δημιουργία!!!!" /></p>
        <input type="hidden" name="submitted" value=true /></p>



    </form>


    <div class = "cleaner"></div>
</div>




<?php
include('../../divs/footer.php');
?>